commit: 00efa5e928b545d62a770f367b9a77c0327b65cb
Author: Gergely Nagy <ngg <AT> ngg <DOT> hu>
AuthorDate: Fri Jun 18 07:01:18 2021 +0000
Commit: Gergely Nagy <ngg <AT> ngg <DOT> hu>
CommitDate: Fri Jun 18 07:01:18 2021 +0000
URL: https://gitweb.gentoo.org/repo/proj/dotnet.git/commit/?id=00efa5e9
dev-dotnet/dotnetcore-sdk-bin{-common}: simplify dependencies
Signed-off-by: Gergely Nagy <ngg <AT> ngg.hu>
.../dotnetcore-sdk-bin-common-2.1.816.ebuild | 4 +---
.../dotnetcore-sdk-bin-common-3.1.410.ebuild | 4 +---
.../dotnetcore-sdk-bin-common-5.0.301.ebuild | 4 +---
.../dotnetcore-sdk-bin-common-6.0.100_pre4.ebuild | 4 +---
.../dotnetcore-sdk-bin-2.1.816.ebuild | 24 +++++++++-------------
.../dotnetcore-sdk-bin-3.1.410.ebuild | 24 +++++++++-------------
.../dotnetcore-sdk-bin-5.0.301.ebuild | 24 +++++++++-------------
.../dotnetcore-sdk-bin-6.0.100_pre4.ebuild | 24 +++++++++-------------
8 files changed, 44 insertions(+), 68 deletions(-)
diff --git
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-2.1.816.ebuild
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-2.1.816.ebuild
index d7642c6..fb5fbb0 100644
---
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-2.1.816.ebuild
+++
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-2.1.816.ebuild
@@ -26,9 +26,7 @@ RESTRICT="splitdebug"
# The sdk includes the runtime-bin and aspnet-bin so prevent from installing
at the same time
# dotnetcore-sdk is the source based build
-RDEPEND="
- ~dev-dotnet/dotnetcore-sdk-bin-${PV}
- !dev-dotnet/dotnetcore-sdk-bin:0"
+RDEPEND="~dev-dotnet/dotnetcore-sdk-bin-${PV}"
S=${WORKDIR}
diff --git
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-3.1.410.ebuild
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-3.1.410.ebuild
index 4aecf67..9977e01 100644
---
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-3.1.410.ebuild
+++
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-3.1.410.ebuild
@@ -26,9 +26,7 @@ RESTRICT="splitdebug"
# The sdk includes the runtime-bin and aspnet-bin so prevent from installing
at the same time
# dotnetcore-sdk is the source based build
-RDEPEND="
- ~dev-dotnet/dotnetcore-sdk-bin-${PV}
- !dev-dotnet/dotnetcore-sdk-bin:0"
+RDEPEND="~dev-dotnet/dotnetcore-sdk-bin-${PV}"
S=${WORKDIR}
diff --git
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-5.0.301.ebuild
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-5.0.301.ebuild
index 4aecf67..9977e01 100644
---
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-5.0.301.ebuild
+++
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-5.0.301.ebuild
@@ -26,9 +26,7 @@ RESTRICT="splitdebug"
# The sdk includes the runtime-bin and aspnet-bin so prevent from installing
at the same time
# dotnetcore-sdk is the source based build
-RDEPEND="
- ~dev-dotnet/dotnetcore-sdk-bin-${PV}
- !dev-dotnet/dotnetcore-sdk-bin:0"
+RDEPEND="~dev-dotnet/dotnetcore-sdk-bin-${PV}"
S=${WORKDIR}
diff --git
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-6.0.100_pre4.ebuild
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-6.0.100_pre4.ebuild
index 8fb156f..c16935f 100644
---
a/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-6.0.100_pre4.ebuild
+++
b/dev-dotnet/dotnetcore-sdk-bin-common/dotnetcore-sdk-bin-common-6.0.100_pre4.ebuild
@@ -26,9 +26,7 @@ RESTRICT="splitdebug"
# The sdk includes the runtime-bin and aspnet-bin so prevent from installing
at the same time
# dotnetcore-sdk is the source based build
-RDEPEND="
- ~dev-dotnet/dotnetcore-sdk-bin-${PV}
- !dev-dotnet/dotnetcore-sdk-bin:0"
+RDEPEND="~dev-dotnet/dotnetcore-sdk-bin-${PV}"
S=${WORKDIR}
diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.816.ebuild
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.816.ebuild
index b2b306a..a990c83 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.816.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-2.1.816.ebuild
@@ -27,21 +27,17 @@ RESTRICT="splitdebug"
# dotnetcore-sdk is the source based build
RDEPEND="
+ app-crypt/mit-krb5
>=dev-dotnet/dotnetcore-sdk-bin-common-${PV}
- >=sys-apps/lsb-release-1.4
- >=sys-devel/llvm-4.0
- >=dev-util/lldb-4.0
- >=sys-libs/libunwind-1.1-r1
- >=dev-libs/icu-57.1
- >=dev-util/lttng-ust-2.8.1
- || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
- >=net-misc/curl-7.49.0
- >=app-crypt/mit-krb5-1.14.2
- >=sys-libs/zlib-1.2.8-r1
- !dev-dotnet/dotnetcore-sdk
- !dev-dotnet/dotnetcore-sdk-bin:0
- !dev-dotnet/dotnetcore-runtime-bin
- !dev-dotnet/dotnetcore-aspnet-bin"
+ dev-libs/icu
+ || ( dev-libs/openssl dev-libs/openssl-compat:1.0.0 )
+ dev-util/lldb
+ dev-util/lttng-ust
+ net-misc/curl
+ sys-apps/lsb-release
+ sys-devel/llvm
+ sys-libs/libunwind
+ sys-libs/zlib"
S=${WORKDIR}
diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.410.ebuild
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.410.ebuild
index ff436c8..e3b124e 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.410.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-3.1.410.ebuild
@@ -27,21 +27,17 @@ RESTRICT="splitdebug"
# dotnetcore-sdk is the source based build
RDEPEND="
+ app-crypt/mit-krb5
>=dev-dotnet/dotnetcore-sdk-bin-common-${PV}
- >=sys-apps/lsb-release-1.4
- >=sys-devel/llvm-4.0
- >=dev-util/lldb-4.0
- >=sys-libs/libunwind-1.1-r1
- >=dev-libs/icu-57.1
- >=dev-util/lttng-ust-2.8.1
- || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
- >=net-misc/curl-7.49.0
- >=app-crypt/mit-krb5-1.14.2
- >=sys-libs/zlib-1.2.8-r1
- !dev-dotnet/dotnetcore-sdk
- !dev-dotnet/dotnetcore-sdk-bin:0
- !dev-dotnet/dotnetcore-runtime-bin
- !dev-dotnet/dotnetcore-aspnet-bin"
+ dev-libs/icu
+ || ( dev-libs/openssl dev-libs/openssl-compat:1.0.0 )
+ dev-util/lldb
+ dev-util/lttng-ust
+ net-misc/curl
+ sys-apps/lsb-release
+ sys-devel/llvm
+ sys-libs/libunwind
+ sys-libs/zlib"
S=${WORKDIR}
diff --git a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.301.ebuild
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.301.ebuild
index 67db935..1115668 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.301.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-5.0.301.ebuild
@@ -27,21 +27,17 @@ RESTRICT="splitdebug"
# dotnetcore-sdk is the source based build
RDEPEND="
+ app-crypt/mit-krb5
>=dev-dotnet/dotnetcore-sdk-bin-common-${PV}
- >=sys-apps/lsb-release-1.4
- >=sys-devel/llvm-4.0
- >=dev-util/lldb-4.0
- >=sys-libs/libunwind-1.1-r1
- >=dev-libs/icu-57.1
- >=dev-util/lttng-ust-2.8.1
- || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
- >=net-misc/curl-7.49.0
- >=app-crypt/mit-krb5-1.14.2
- >=sys-libs/zlib-1.2.8-r1
- !dev-dotnet/dotnetcore-sdk
- !dev-dotnet/dotnetcore-sdk-bin:0
- !dev-dotnet/dotnetcore-runtime-bin
- !dev-dotnet/dotnetcore-aspnet-bin"
+ dev-libs/icu
+ || ( dev-libs/openssl dev-libs/openssl-compat:1.0.0 )
+ dev-util/lldb
+ dev-util/lttng-ust
+ net-misc/curl
+ sys-apps/lsb-release
+ sys-devel/llvm
+ sys-libs/libunwind
+ sys-libs/zlib"
S=${WORKDIR}
diff --git
a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-6.0.100_pre4.ebuild
b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-6.0.100_pre4.ebuild
index f6d5ec7..5c6db7c 100644
--- a/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-6.0.100_pre4.ebuild
+++ b/dev-dotnet/dotnetcore-sdk-bin/dotnetcore-sdk-bin-6.0.100_pre4.ebuild
@@ -27,21 +27,17 @@ RESTRICT="splitdebug"
# dotnetcore-sdk is the source based build
RDEPEND="
+ app-crypt/mit-krb5
>=dev-dotnet/dotnetcore-sdk-bin-common-${PV}
- >=sys-apps/lsb-release-1.4
- >=sys-devel/llvm-4.0
- >=dev-util/lldb-4.0
- >=sys-libs/libunwind-1.1-r1
- >=dev-libs/icu-57.1
- >=dev-util/lttng-ust-2.8.1
- || ( >=dev-libs/openssl-1.0.2h-r2 >=dev-libs/openssl-compat-1.0.2h-r2 )
- >=net-misc/curl-7.49.0
- >=app-crypt/mit-krb5-1.14.2
- >=sys-libs/zlib-1.2.8-r1
- !dev-dotnet/dotnetcore-sdk
- !dev-dotnet/dotnetcore-sdk-bin:0
- !dev-dotnet/dotnetcore-runtime-bin
- !dev-dotnet/dotnetcore-aspnet-bin"
+ dev-libs/icu
+ || ( dev-libs/openssl dev-libs/openssl-compat:1.0.0 )
+ dev-util/lldb
+ dev-util/lttng-ust
+ net-misc/curl
+ sys-apps/lsb-release
+ sys-devel/llvm
+ sys-libs/libunwind
+ sys-libs/zlib"
S=${WORKDIR}